DDoS Mitigation

List Ips With Protection Status

get/ddos-mitigation/ips

List your organization's IPs with Premium DDoS protection and their protection status.

IPs with Basic protection are not included. Single IPs and subnets are returned separately, and each subnet includes the list of its individual IPs.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Query parameters

ip_type?string | null

Filter by IP type: IPv4 or IPv6

location?string | null

Filter by location name

has_profile?boolean | null

Filter by profile status

Responses

Successful Response

application/json

single_ips?array<api__ddos_mitigation__schemas__SingleIPOut>
Properties (8)
network*string
ip_type*string
protection_type*string
location_name?string | null
location_description?string | null
has_profile?boolean
Defaultfalse
firewall_rules_count?integer
Default0
source?string
Default"floating_ip"
subnets?array<api__ddos_mitigation__schemas__SubnetOut>
Properties (11)
network*string
prefix*integer
ip_type*string
protection_type*string
location_name?string | null
location_description?string | null
has_profile?boolean
Defaultfalse
firewall_rules_count?integer
Default0
ip_addresses?array<api__ddos_mitigation__schemas__SubnetIPOut>
Properties (3)
address*string
has_profile?boolean
Defaultfalse
firewall_rules_count?integer
Default0
source?string
Default"floating_ip"
byoip_uuid?string | null
total*integer